<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head><body onload="setBrowserTitle('HttpCore 4.3-alpha1: org.apache.http.impl.io: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
                    	<div class="navBar"><a href="../../../../../proj-risks.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="quick-wins.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.io:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      901
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,126
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      412
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      5.15
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      426
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,163
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.48
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      175
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      27
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.35
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      27
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.io:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      901
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,126
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      412
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      5.15
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      426
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,163
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.48
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      175
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      27
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.35
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      27
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                        <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='pkg-risks.html'">Package Risks</label>
                        </div>
                    </div>
                </li>
                                                                                 <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">org.apache.http.impl.io</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop tabbedLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
   
      <div id="shallowPackageCloud"  >
      
	 	 
	       <a href="../io/AbstractMessageParser.html#AbstractMessageParser" class="tag"
	  style="font-size: 21px;color:#0205fc"
	  title="# Elements - 99 , # Elements Untested - 15 ">AbstractMessageParser</a>
   
	 	 
	       <a href="../io/AbstractMessageWriter.html#AbstractMessageWriter" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 25 , # Elements Untested - 9 ">AbstractMessageWriter</a>
   
	 	 
	       <a href="../io/AbstractSessionInputBuffer.html#AbstractSessionInputBuffer" class="tag"
	  style="font-size: 40px;color:#e4051a"
	  title="# Elements - 246 , # Elements Untested - 246 ">AbstractSessionInputBuffer</a>
   
	 	 
	       <a href="../io/AbstractSessionOutputBuffer.html#AbstractSessionOutputBuffer" class="tag"
	  style="font-size: 31px;color:#990565"
	  title="# Elements - 175 , # Elements Untested - 175 ">AbstractSessionOutputBuffer</a>
   
	 	 
	       <a href="../io/ChunkedInputStream.html#ChunkedInputStream" class="tag"
	  style="font-size: 26px;color:#0205fc"
	  title="# Elements - 139 , # Elements Untested - 7 ">ChunkedInputStream</a>
   
	 	 
	       <a href="../io/ChunkedOutputStream.html#ChunkedOutputStream" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="# Elements - 66 , # Elements Untested - 2 ">ChunkedOutputStream</a>
   
	 	 
	       <a href="../io/ContentLengthInputStream.html#ContentLengthInputStream" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="# Elements - 87 , # Elements Untested - 6 ">ContentLengthInputStream</a>
   
	 	 
	       <a href="../io/DefaultHttpRequestParser.html#DefaultHttpRequestParser" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 24 , # Elements Untested - 6 ">DefaultHttpRequestParser</a>
   
	 	 
	       <a href="../io/DefaultHttpRequestParserFactory.html#DefaultHttpRequestParserFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 2 ">DefaultHttpRequestParserFactory</a>
   
	 	 
	       <a href="../io/DefaultHttpRequestWriter.html#DefaultHttpRequestWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">DefaultHttpRequestWriter</a>
   
	 	 
	       <a href="../io/DefaultHttpRequestWriterFactory.html#DefaultHttpRequestWriterFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 1 ">DefaultHttpRequestWriterFactory</a>
   
	 	 
	       <a href="../io/DefaultHttpResponseParser.html#DefaultHttpResponseParser" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 24 , # Elements Untested - 6 ">DefaultHttpResponseParser</a>
   
	 	 
	       <a href="../io/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 2 ">DefaultHttpResponseParserFactory</a>
   
	 	 
	       <a href="../io/DefaultHttpResponseWriter.html#DefaultHttpResponseWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">DefaultHttpResponseWriter</a>
   
	 	 
	       <a href="../io/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 1 ">DefaultHttpResponseWriterFactory</a>
   
	 	 
	       <a href="../io/HttpRequestParser.html#HttpRequestParser" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 14 , # Elements Untested - 14 ">HttpRequestParser</a>
   
	 	 
	       <a href="../io/HttpRequestWriter.html#HttpRequestWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpRequestWriter</a>
   
	 	 
	       <a href="../io/HttpResponseParser.html#HttpResponseParser" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 14 , # Elements Untested - 14 ">HttpResponseParser</a>
   
	 	 
	       <a href="../io/HttpResponseWriter.html#HttpResponseWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpResponseWriter</a>
   
	 	 
	       <a href="../io/HttpTransportMetricsImpl.html#HttpTransportMetricsImpl" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 10 , # Elements Untested - 4 ">HttpTransportMetricsImpl</a>
   
	 	 
	       <a href="../io/IdentityInputStream.html#IdentityInputStream" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 23 , # Elements Untested - 2 ">IdentityInputStream</a>
   
	 	 
	       <a href="../io/SessionInputBufferImpl.html#SessionInputBufferImpl" class="tag"
	  style="font-size: 38px;color:#0205fc"
	  title="# Elements - 236 , # Elements Untested - 8 ">SessionInputBufferImpl</a>
   
	 	 
	       <a href="../io/SessionOutputBufferImpl.html#SessionOutputBufferImpl" class="tag"
	  style="font-size: 27px;color:#0205fc"
	  title="# Elements - 145 , # Elements Untested - 2 ">SessionOutputBufferImpl</a>
   
	 	 
	       <a href="../io/SocketInputBuffer.html#SocketInputBuffer" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 33 , # Elements Untested - 33 ">SocketInputBuffer</a>
   
	 	 
	       <a href="../io/SocketOutputBuffer.html#SocketOutputBuffer" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">SocketOutputBuffer</a>
      </div>
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
